From 4ace7cadac17f9087d766a741e3c35fe5a7dee56 Mon Sep 17 00:00:00 2001
From: David P <megver83@parabola.nu>
Date: Jul 23 2023 00:30:02 +0000
Subject: [PATCH 31/32] updpkg: nonsystemd/sddm 0.20.0-1.nonsystemd1


Signed-off-by: David P <megver83@parabola.nu>

---

diff --git a/nonsystemd/sddm/PKGBUILD b/nonsystemd/sddm/PKGBUILD
index 8bba57f..25ca87e 100644
--- a/nonsystemd/sddm/PKGBUILD
+++ b/nonsystemd/sddm/PKGBUILD
@@ -1,11 +1,11 @@
 # Maintainer: David P. <megver83@parabola.nu>
-# Maintainer (arch): Felix Yan <felixonmars@archlinux.org>
-# Maintainer (arch): Antonio Rojas <arojas@archlinux.org>
-# Contributor: Andrea Scarpino <andrea@archlinux.org>
+# Maintainer (Arch): Felix Yan <felixonmars@archlinux.org>
+# Maintainer (Arch): Antonio Rojas <arojas@archlinux.org>
+# Contributor (Arch): Andrea Scarpino <andrea@archlinux.org>
 
 pkgname=sddm
-pkgver=0.19.0
-pkgrel=8
+pkgver=0.20.0
+pkgrel=1
 pkgrel+=.nonsystemd1
 pkgdesc='QML based X11 and Wayland display manager'
 arch=(x86_64)
@@ -20,36 +20,11 @@ backup=('usr/share/sddm/scripts/Xsetup'
         'etc/pam.d/sddm-autologin'
         'etc/pam.d/sddm-greeter')
 provides=(display-manager)
-source=($pkgname-$pkgver.tar.gz::"https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
-        sddm.sysusers sddm.tmpfiles
-        pam-faillock.patch
-        sddm-fix-race-pre.patch::"https://github.com/sddm/sddm/commit/68cc9e31.patch"
-        sddm-fix-race.patch::"https://patch-diff.githubusercontent.com/raw/sddm/sddm/pull/1324.patch"
-        sddm-desktop-session.patch::"https://github.com/sddm/sddm/commit/5fd5ed27.patch"
-        sddm-0.18.0-Xsession.patch
-        sddm-0.19.0-pam-1.4-substack.patch
-        sddm-0.19.0-Xserver_startup.patch
-        sddm-fix-build.patch)
-sha256sums=('e76da1f13d5ad5e0179e3fec57543126044339405ef19c397e105e0807bd4e41'
+source=(https://github.com/$pkgname/$pkgname/archive/v$pkgver/$pkgname-$pkgver.tar.gz
+        sddm.sysusers sddm.tmpfiles)
+sha256sums=('467c8bd91e0d4f76d4bc4e57ab334f1f48a33478482ba9476d93b0b3d7ace9fb'
             '9fce66f325d170c61caed57816f4bc72e9591df083e89da114a3bb16b0a0e60f'
-            'db625f2a3649d6d203e1e1b187a054d5c6263cadf7edd824774d8ace52219677'
-            '441f441fc63c16c5dbd83411a305d88b17e50836c958677db881b9b6c13c668a'
-            '33770560315b5369fd15baf5cd877f1191e642cefc6d2a1b4f0a7a80c109c025'
-            'bbe45a316140c145d7de67dbe95764e44a0787ad9c6bcd2f7e0694484bd79640'
-            '83e4df6e1c0c23e7b38c1d523c236108eae177ba11c5d466825690845ef99fcf'
-            'dc2384e1b17cf1a217bff363c948494a74ec8d41c2a11dbd3cec0aefa880e845'
-            '921674946b1d0f728382ebd4fde2566f16b80434ebce6e790c684f98819273bb'
-            'd46932e0a60cf5050aaea590ff5f3ab580d2118cbf746f55f78033f72f1bcb76'
-            'e9058d261138e637248b20243e3e81ff337ab669a4a25fbff387bf9558a682c6')
-options=(debug)
-
-prepare() {
-  patch -d $pkgname-$pkgver -p1 < pam-faillock.patch # Port away from deprecated pam_tally2
-  patch -d $pkgname-$pkgver -p1 < sddm-fix-race-pre.patch # Make next patch apply
-  patch -d $pkgname-$pkgver -p1 < sddm-fix-race.patch # Fix race at startup
-  patch -d $pkgname-$pkgver -p1 < sddm-desktop-session.patch # Fix desktop session name
-  patch -d $pkgname-$pkgver -p1 < sddm-fix-build.patch # Fix build with Qt post 5.15.2
-}
+            'db625f2a3649d6d203e1e1b187a054d5c6263cadf7edd824774d8ace52219677')
 
 build() {
   cmake -B build -S $pkgname-$pkgver \
@@ -57,9 +32,9 @@ build() {
         -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/sddm \
         -DDBUS_CONFIG_DIR=/usr/share/dbus-1/system.d \
         -DDBUS_CONFIG_FILENAME=sddm_org.freedesktop.DisplayManager.conf \
+        -DBUILD_MAN_PAGES=ON \
         -DUSE_ELOGIND=yes \
         -DNO_SYSTEMD=yes \
-        -DBUILD_MAN_PAGES=ON \
         -DUID_MAX=60513
   cmake --build build
 }
